import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * CounterF counts the amount of food stored in its Anthill.
 * 
 * @author  AntMind - Team2
 * @version 14.5.2019
 */
public class CounterF extends Actor
{
    private Anthill home;
    public static Color trans = new Color (0, 0, 0, 0);
    /**
     *Counter counts the current state of food in its anthill.
     */
    public void act() 
    {
        updateImage();
    }
    
    public CounterF(Anthill anthill)
    {
        home = anthill;
    }

    private void updateImage()
    {
       setImage(new GreenfootImage("F: " + home.getCounterF(0), 20, Color.BLACK, trans));
    }
}