import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Class animal contains subclasses Predator and Ant.
 * 
 * @author  AntMind - Team2
 * @version 13.5.2019
 */
public class Animal extends Actor
{
    public int stepSize;
    public int smellDistance; 
    /**
     * Act - do whatever the Animal wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        // Add your action code here.
    }   

    /**
     * Return True if Animal is at the Wrolds Edge
     */

    public boolean atWorldEdge()
    {
        if(getX() < 10 || getX() > getWorld().getWidth() - 10){
            return true;
        }
        if(getY() < 10 || getY() > getWorld().getHeight() - 10){
            return true;
        }

        return false;
    }

    /**
     * Makes Animal go in a direction.
     */
    public void goTowards(Actor target)
    {
        int x = target.getX();
        int y = target.getY();
        if (getX()==x&&getY()==y){
            //rest, you are there
        }else{
            turnTowards(x, y);
            move(stepSize);
        }
    }

}
