import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Adds HoneyDrops
 * 
 * @author  AntMind - Team2
 * @version 22.5.2019
 */
public class Feeder extends Actor
{
    private int time;
    /**
     * Add new HoneyDrops when no of them is present in the Arena.
     * Add new HoneyDrop after a certain time.
     */
    public void act() 
    {
        addEmpty();
        addTime();
    }
    public void addEmpty(){ // Adds HoneyDrops when none is in the Arena
        if (getWorld().getObjects(HoneyDrop.class).isEmpty()) {
            for(int i = 5;i>0;i--){
                int x = Greenfoot.getRandomNumber(getWorld().getWidth()-30)+15;
                int y = Greenfoot.getRandomNumber(getWorld().getHeight()-30)+15;
                int a = Greenfoot.getRandomNumber(100)+25;
                getWorld().addObject(new HoneyDrop(a), x, y);
            }
        }
    }

    public void addTime(){ //Adds HoneyDrops regularly
        if(time > 6000){
            int x = Greenfoot.getRandomNumber(getWorld().getWidth()-30)+15;
            int y = Greenfoot.getRandomNumber(getWorld().getHeight()-30)+15;
            int a = Greenfoot.getRandomNumber(100)+25;
            getWorld().addObject(new HoneyDrop(a), x, y);
            time =0;
        }
        time++;
    }

}
