import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * HoneyDrops are food of ants.
 * 
 * @author AntMind - Team2
 * @version ()
 */
public class HoneyDrop extends Actor
{
    private int volume;
    private GreenfootImage imageBasic = new GreenfootImage("button-yellow.png");
    /**
     * Does nothing. It has to only disappear
     */
    public void act() 
    {
        if(volume <=0) {
            getWorld().removeObject(this);
        }
    }
    
    public HoneyDrop (int newVolume) //Construcotr
    {
        volume = newVolume;
        updateImage();
    }
    
    /**
     * Updates image
     */
    public void updateImage()
    {
        GreenfootImage image = new GreenfootImage(imageBasic);
        image.scale(2+2*(int)Math.sqrt(volume), 2+2*(int)Math.sqrt(volume));
        setImage(image);
    }
    
    public void takeFood() //Ants take food
    {
        volume = volume -1;
        updateImage();
    }
}
