import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Player is contoroled by a human.
 * 
 * @author AntMind - Team2
 * @version 13.5.2019
 */
public class Player extends Actor
{
    private int stepSize = 9;
    private int rotate = 10;
    private Score score;
    /**
     *
     */
    public void act()
    {
        moveAndTurn();
        score();
        if(getOneIntersectingObject(Ant.class)!=null)
        {
            score.score ++;
        }
        victory();
    }

    /**
     * Move around using keayboard
     */
    public void moveAndTurn() 
    {
        if (Greenfoot.isKeyDown("up")){
            move (stepSize);
        }
        if (Greenfoot.isKeyDown("left")){
            turn (-rotate);
        }
        if (Greenfoot.isKeyDown("right")){
            turn (rotate);
        }
        if (Greenfoot.isKeyDown("down")){
            move (-stepSize);
        }
    }
    public void score()
    {
        if(score == null) 
        {
            score = new Score(this);

            getWorld().addObject(score, 50, getWorld().getHeight()-10);
        }  
    }
    public void victory()
    {
        if(getWorld().getObjects(Ant.class).isEmpty()){
            getWorld().addObject(new Victory(), getWorld().getWidth()/2, getWorld().getHeight()/2);
            getWorld().stopped();
        }
    }
    
}
