import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Predator hunts ants.
 * 
 * @author AntMind - Team2
 * @version 13. 5. 2019
 */
public class Predator extends Animal
{
    private static int SMELL_DISTANCE = 60;
    private int smellDistance = SMELL_DISTANCE;
    private static int stepSize=5;
    private int y;
    /**
     * Smells ants and hunts them whenever they get too close.
     */
    public void act() 
    {
        Actor ant = smellAnt();
        if(ant!=null){

            goTowards(ant);
            
        }
        if(y>200) //moves soometimes
        {
            
            turn(10-Greenfoot.getRandomNumber(20)); //turn randomly in a scale from -10 to 10
            for(int x = 0;x<5;x++)
            {
                turn(8-Greenfoot.getRandomNumber(16)); //turn randomly in a scale from -8 to 8
                move(2);
            }
            y=0;
        }
        y++;
    
        if(

        atWorldEdge()){ // Turning at the edge of the world
            turn(180);
        }

    }

    /**
     * Makes Predator go in a direction.
     */
    public void goTowards(Actor target)
    {
        int x = target.getX();
        int y = target.getY();
        if (getX()==x&&getY()==y){
            //rest, you are there
        }else{
            turnTowards(x, y);
            move(stepSize);
        }
    }
    
    public Actor smellAnt(){ //Smelling ants nearby
        Actor closest = null;
        smellDistance = SMELL_DISTANCE;
        if(!getObjectsInRange(smellDistance, Ant.class).isEmpty())
            {
                for(Object obj: getObjectsInRange(smellDistance, Ant.class))
                {
                    Actor target = (Actor) obj;
                    int targetDist = (int) Math.sqrt((Math.pow(target.getX()-getX(),2)+Math.pow(target.getY()-getY(),2)));
                    if (closest == null || targetDist < smellDistance){
                        closest = target;
                        smellDistance = targetDist;
                    }
                }
            }
        return closest;
    }
}
